Bug 1442764 - OpenStack refresh fail with nil:NilClass
Summary: OpenStack refresh fail with nil:NilClass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.3
Assignee: Tzu-Mainn Chen
QA Contact: Ido Ovadia
URL:
Whiteboard: openstack
Depends On: 1437624
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-17 12:57 UTC by Satoe Imaishi
Modified: 2020-07-16 09:26 UTC (History)
6 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1437624
Environment:
Last Closed: 2017-06-28 14:59:55 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-17 20:56:03 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/e32d4946da6373c10546f83226e27ac6963de5fe

commit e32d4946da6373c10546f83226e27ac6963de5fe
Author:     Marek Aufart <aufi.cz@gmail.com>
AuthorDate: Fri Apr 14 07:36:30 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 16:54:03 2017 -0400

    Merge pull request #1 from tzumainn/flavor-deleted-refresh
    
    Handle case where instance flavor is deleted
    (cherry picked from commit b7c9e492e2bc4619a00cbc64e53879e03568cc0e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442764

 .../openstack/cloud_manager/refresh_parser.rb      | 24 ++++++++++++----------
 1 file changed, 13 insertions(+), 11 deletions(-)

Comment 3 Ido Ovadia 2017-06-20 10:54:56 UTC
Verified
========
5.7.3.1

Comment 5 errata-xmlrpc 2017-06-28 14:59:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.